> ## Documentation Index
> Fetch the complete documentation index at: https://docs.light.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate receipt upload URL

> Generates a secure upload URL for receipt documents



## OpenAPI

````yaml /openapi-public.json post /v1/card-transactions/{cardTransactionId}/receipt-upload-url
openapi: 3.0.1
info:
  title: Light API
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
  - bearerAuth: []
paths:
  /v1/card-transactions/{cardTransactionId}/receipt-upload-url:
    post:
      tags:
        - v1 - Card Transactions
      summary: Generate receipt upload URL
      description: Generates a secure upload URL for receipt documents
      operationId: generateUploadUrlForCardTransaction
      parameters:
        - name: cardTransactionId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json;charset=UTF-8:
            schema:
              $ref: >-
                #/components/schemas/ExternalTransactionReceiptUploadUrlRequestV1Model
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: >-
                  #/components/schemas/ExternalCardTransactionReceiptUploadUrlResponseV1Model
components:
  schemas:
    ExternalTransactionReceiptUploadUrlRequestV1Model:
      type: object
      properties:
        filename:
          type: string
        contentType:
          type: string
    ExternalCardTransactionReceiptUploadUrlResponseV1Model:
      type: object
      properties:
        uploadUrl:
          type: string
          format: url
        key:
          type: string
        metadata:
          type: object
          additionalProperties:
            type: string
          nullable: true
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: >-
        Basic authentication header of the form **Basic** **<api_key>**, where
        **<api_key>** is your api key.
      name: Authorization
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````